#
# spec file for package rubygem-hiera
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-hiera
Version:        1.3.4
Release:        6.1
%define mod_name hiera
%define mod_full_name %{mod_name}-%{version}
# MANUAL
Requires:       rubygem(%{mod_name})
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/puppetlabs/hiera
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        %{mod_name}.1
Source2:        gem2rpm.yml
Summary:        Light weight hierarchical data store
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
A pluggable data store for hierarcical data.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING LICENSE README.md" \
  -f
# MANUAL
install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{mod_name}.1
# /MANUAL

%files
%defattr(-,root,root,-)
%{_mandir}/man1/%{mod_name}.1.gz

%gem_packages

%changelog
* Fri Dec  5 2014 tampakrap@opensuse.org
- Replace the PreReq with Requires, the former is wrong and creates circular dependency issue
* Sat Nov 29 2014 tampakrap@opensuse.org
- Move the Provides to the versioned package
- Fix the requirements between the versioned and unversioned packages
* Wed Nov 26 2014 tampakrap@opensuse.org
- Convert to the new ruby packaging schema
* Thu Oct 16 2014 darin@darins.net
- update to 1.3.4
  * CVE-2014-3248 (Arbitrary Code Execution with Required Social Engineering)
    On platforms with Ruby 1.9.1 or earlier, an attacker could have
    Puppet execute malicious code by convincing a privileged user to
    change directories to one containing the malicious code and then
    run Puppet.
  * Hiera 1.3.3
  - HI-239: Backport speed improvement to 1.3.x codebase, resulting
    in a substantial speed increase in lookups compared to Hiera 1.3.2.
  - HI-149: Remove Fedora 18 from default build targets
  - HI-236: Remove Raring (Ubuntu 13.04) from build_defaults, it is EOL
  - HI-185: Add Trusty (Ubuntu 14.04) support
  - HI-232: Hiera should conflict/provide/replace ruby-hiera (from Ubuntu)
  * Hiera 1.3.2
  - HI-179: Add RHEL 7 support for Hiera packaging.
  - HI-176: Hiera would fail to find the correct ruby binary on Debian
    when an alternative version was installed. Hiera now uses /usr/bin/ruby,
    which fixes the issue.
  - HI-178: Acceptance tests have been added for Solaris and Windowsi
    vCloud machines.
  - HI-115: Hiera would show an incorrect recursive_guard warning if
    the same variable was interpolated twice in a hierarchy definition,
    even if the usage was not recursive.
  * Hiera 1.3.1
  - HI-65: Empty YAML files can raise an exception (backported to stable as HI-71)
  A complete changelog is available from:
    https://docs.puppetlabs.com/hiera/1/release_notes.html
  or visiting
    https://github.com/puppetlabs/hiera/compare/1.2.1...1.3.4
* Fri May  3 2013 boris@steki.net
- updated to latest upstream version 1.2.1
  - mostly bug fixes
  * (#17434) Simplify logic around looking up values
  * (#17434) Simplify string interpolation
  * (#17434) Stronger assertion about how keys are looked up
  * Fix #19792 - cryptic error when missing deep_merge gem
  * fix for Interpolate hash keys like already done for strings.
  * fix for not-detecting-puppet-correctly-in-rack
  - for real changelog go to:
    https://github.com/puppetlabs/hiera/commits/1.2.1
* Sat Jan  5 2013 boris@steki.net
- updated to latest upstream version 1.1.2
  - json requirement changed to json_pure
* Thu Nov  1 2012 aboe76@gmail.com
- updated to latest upstream 1.1.1
* Wed Oct 10 2012 boris@steki.net
- updated to latest upstream 1.1.0
* Wed Oct 10 2012 mrueckert@suse.de
- drop unneeded rubygem-rdoc buildrequires
* Wed Oct 10 2012 mrueckert@suse.de
- buildrequire ruby-devel to fix build on 12.2
* Sun Aug  5 2012 boris@steki.net
- initial packaging of hiera 0.3.0 using gem2rpm
